﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls;
using Telerik.WinControls.UI;

namespace _1432154GridAddData
{
    public partial class RadForm1 : Telerik.WinControls.UI.RadForm
    {
        BindingList<Item> items = new BindingList<Item>();

        public RadForm1()
        {
            InitializeComponent();

            this.radWaitingBar1.AssociatedControl = this.radGridView1;
            this.radGridView1.DataSource = items;
            this.radGridView1.AutoSizeColumnsMode = GridViewAutoSizeColumnsMode.Fill;
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            items.Add(new Item(items.Count, "Item" + items.Count));
        }

        public class Item
        {
            public int Id { get; set; }

            public string Name { get; set; }

            public Item(int id, string name)
            {
                this.Id = id;
                this.Name = name;
            }
        }

        private void radButton1_Click(object sender, EventArgs e)
        {
            if (!this.timer1.Enabled)
            {
                this.radWaitingBar1.StartWaiting();
                this.timer1.Start();
            }
            else
            {
                this.radWaitingBar1.StopWaiting();
                this.timer1.Stop();
            }
        }
    }
}